<?php

# Download CryptoPhoto PHP lib from https://cryptophoto.com/admin/api
include("CryptoPhotoUtils.php");

$server      = "https://cryptophoto.com";
$private_key = "xxx"; # Your CryptoPhoto Private API Key
$public_key  = "yyy"; # Your CryptoPhoto Public API Key
$salt        = "random-salt-string";
$uid         = "userId"; # Your users internal ID

$do_register = 1;
$do_cp_wizard = 0;
$error = '';
$sid = '';                         

if (isset($_POST["username"])) {
  // check user name
  if ($_POST["username"] == "demo") {
    // all OK; do CryptoPhoto Wizard
    $do_cp_wizard = 1;
    $do_register = 0;
  }
} 

if ($do_cp_wizard) {
  $cp = new CryptoPhotoUtils($server, $private_key, $public_key, sha1($uid . $salt));

  $cp->start_session($_SERVER['REMOTE_ADDR'], false);

  if ($cp->is_valid) {
    $sid = $cp->sid;
  } else {
    $error = $cp->error . ( $cp->errdesc ? ' ' . $cp->errdesc : '' );
  }
}


?><!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>User Register</title>
</head>

<body style="text-align:center">
  <h2>Register</h2>
  <form action="" method="post">
    <p><?php if($error) { ?>Error: <?php echo $error ?><?php } ?></p>

<?php if ($do_register) { ?>

    Username: <input type="text" name="username" value="demo"><br>
    <input type="submit" value="Register">

<?php } else if ($do_cp_wizard) { ?>

    <div id='cp_widget' style='margin: 10px auto;'>Loading...</div>

<?php } ?>
</form>

<?php if($do_cp_wizard) { ?>

<script type='text/javascript'
        src='<?php echo $server ?>/api/wizard-setup?sd=<?php echo $sid ?>'>
</script>

<?php } ?>

</body>
</html>