<?php

# Download CryptoPhoto PHP lib from https://cryptophoto.com/admin/api
include("CryptoPhotoUtils.php");

$server      = "https://cryptophoto.com";
$private_key = "xxx"; # Your CryptoPhoto Private API Key
$public_key  = "yyy"; # Your CryptoPhoto Public API Key
$salt        = "random-salt-string";
$uid         = "userId"; # Your users internal ID

$cp = new CryptoPhotoUtils($server, $private_key, $public_key, sha1($uid . $salt));
$cp->start_session($_SERVER['REMOTE_ADDR'], false);

$error = '';
$sid = '';

if ($cp->is_valid) {
  $sid = $cp->sid;
} else {
  $error = $cp->error . ( $cp->errdesc ? ' ' . $cp->errdesc : '' );
}

?><!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>User Account</title>
</head>

<body>
  <h2>Manage Your Token</h2>

<?php if ($sid) { ?>
  <div id='cp_widget'>Loading...</div>
<?php } else { ?>
  <div>Error: <?php echo $error ?></div>
<?php } ?>

<?php if ($sid) { ?>
  <script type='text/javascript'
        src='<?php echo $server; ?>/api/token?sd=<?php echo $sid ?>'>
  </script>
<?php } ?>

</body>
</html>